
Foreman - Feature #5793

rake task to create versioned tarball or gem

05/19/2014 02:14 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

To support separating packaging back into foreman-packaging, we need a consistent way to generate sources from each project.

For Foreman core projects, this would be a command that produces a .tar.gz, while for gems would be a gem build from the

gemspec.  The current version number should be included, e.g. foreman-1.6.0.tar.bz2 from Foreman core develop.

Related issues:

Related to Foreman - Feature #4453: Update Foreman source packages for EL7 Closed 02/25/2014

Related to Foreman - Refactor #5987: Remove in-repo RPM packaging constructs Closed 05/29/2014

Associated revisions

Revision 382f9caf - 05/21/2014 05:05 PM - Dominic Cleal

refs #5793 - add pkg:generate_source task to generate gem

Revision 2239447d - 05/21/2014 05:05 PM - Dominic Cleal

refs #5793 - add pkg:generate_source task to generate gem

Revision 41f59a50 - 05/25/2014 08:58 PM - Martin Bacovsky

Merge pull request #113 from domcleal/5793-release

refs #5793 - add pkg:generate_source task to generate gem

Revision 2b64eb42 - 05/26/2014 10:51 AM - mbacovsky 

Merge pull request #122 from domcleal/5793-release

refs #5793 - add pkg:generate_source task to generate gem

Revision 23b4ede3 - 05/27/2014 09:54 AM - Dominic Cleal

refs #5793 - distribute VERSION

Revision 01d917ba - 05/27/2014 11:24 AM - Dominic Cleal

refs #5793 - distribute VERSION

Revision 9f019d1e - 05/27/2014 11:28 AM - Dominic Cleal

refs #5793 - add pkg:generate_source rake task to create tar.bz2

Revision daeb2439 - 05/29/2014 10:10 AM - Dominic Cleal

refs #5793 - add pkg:generate_source rake task to create tar.bz2

Revision a0407237 - 05/29/2014 10:12 AM - Dominic Cleal

refs #5793 - add pkg:generate_source rake task to create tar.bz2
Revision d1dfed0c - 05/29/2014 02:10 PM - Dominic Cleal

fixes #5793 - add pkg:generate_source rake task to create tar.bz2

History

#1 - 05/19/2014 02:15 PM - Dominic Cleal

- Related to Feature #4453: Update Foreman source packages for EL7 added

#2 - 05/19/2014 04:06 PM - Dominic Cleal

https://github.com/theforeman/foreman/pull/1485/files

https://github.com/theforeman/smart-proxy/pull/159

https://github.com/theforeman/foreman-installer/pull/118

https://github.com/theforeman/foreman-selinux/pull/19

https://github.com/theforeman/hammer-cli/pull/113

https://github.com/theforeman/hammer-cli-foreman/pull/122

#3 - 05/28/2014 12:40 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- translation missing: en.field_release set to 10

#4 - 05/29/2014 02:31 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d1dfed0c5f10ecc71480522634a4e5774adb11ba.

#5 - 05/29/2014 04:03 PM - Dominic Cleal

- Related to Refactor #5987: Remove in-repo RPM packaging constructs added
